File: changelog

package info (click to toggle)
python-pyface 6.1.2-2
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 11,756 kB
  • sloc: python: 39,728; makefile: 79
file content (115 lines) | stat: -rw-r--r-- 3,573 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
python-pyface (6.1.2-2) unstable; urgency=medium

  * Team upload.
    - Mostly no-change but needed to let the package migrate to testing.
  * Change pypi.python.org links to pypi.org.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Dec 2019 23:51:04 +0300

python-pyface (6.1.2-1) unstable; urgency=medium

  * Team Upload

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * Remove debian/pycompat, it's not used by any modern Python helper
  * Convert git repository from git-dpm to gbp layout
  * Bump Standards-Version to 4.4.1.

  [ Andreas Tille ]
  * New upstream version
  * Fixed watch file (dropped unneeded get-orig-source stuff)
  * debhelper-compat 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.0
  * Testsuite: autopkgtest-pkg-python
  * Use Python3
    Closes: #938063
  * python3-pyqt5
    Closes: #935349
  * Use dh-python and pybuild
    Closes: #671217
  * d/changelog: Use DEP5 format

  [ Scott Talbert ]
  * d/control: Switch to use PyQt5 backend which seems best supported
  * d/rules: Get the tests working

  [ Dmitry Shachnev ]
  * Add pyface/_version.py and some files from egg-info to debian/clean.
  * Add pyface.egg-info to debian/pybuild.testfiles to get the tests running
    without nose.
  * Tell pybuild to install the original icons.zip and std.zip files.
    Without this, the files get repacked during test, and differ between
    python3.7 and python3.8 because of differing timestamps, so dh_python3
    does not remove the files in /usr/lib/python3.8/dist-packages.
  * Update debian/copyright.

 -- Scott Talbert <swt@techie.net>  Fri, 06 Dec 2019 16:00:24 -0500

python-pyface (4.5.2-1) unstable; urgency=medium

  * New upstream release
  * Acknowledge previous NMU, thanks!
  * Bump Standards-Version to 3.9.6
  * Fix the watch file
  * Refresh the wxpy3.0-compat.patch file

 -- Varun Hiremath <varun@debian.org>  Sun, 16 Aug 2015 22:13:14 -0400

python-pyface (4.4.0-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * Need wx.NullColour instead of wx.NullColor for wxPython3, so update patch
    wxpy3.0-compat.patch

 -- Olly Betts <olly@survex.com>  Thu, 26 Mar 2015 18:11:47 +1300

python-pyface (4.4.0-2) unstable; urgency=medium

  [ Olly Betts ]
  * Update for wxpython3.0 (Closes: #757313):
    + New patch: wxpy3.0-compat.patch

  [ Varun Hiremath ]
  * Apply patch provided by Olly Betts, thanks!
  * Acknowledge last NMU by Jonathan Wiltshire, thanks!

 -- Varun Hiremath <varun@debian.org>  Wed, 03 Sep 2014 00:10:14 -0400

python-pyface (4.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set permissions in /usr/lib/python*, not /usr/share/pyshared
    Closes: #751065

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 06 Jul 2014 21:19:22 +0100

python-pyface (4.4.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Varun Hiremath ]
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Varun Hiremath <varun@debian.org>  Sat, 15 Mar 2014 23:44:36 -0400

python-pyface (4.1.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3

 -- Varun Hiremath <varun@debian.org>  Mon, 23 Apr 2012 15:36:27 -0400

python-pyface (4.0.0-1) unstable; urgency=low

  * Initial upload
  * Replaces python-traitsbackend{wx,qt} packages

 -- Varun Hiremath <varun@debian.org>  Sat, 09 Jul 2011 10:57:54 -0400